## GUPnPDIDLLiteCreateClass GUPnPDIDLLiteCreateClass — DIDL-Lite CreateClass |

## Functions

const char * | gupnp_didl_lite_create_class_get_content ()
void | gupnp_didl_lite_create_class_set_content ()
gboolean | gupnp_didl_lite_create_class_get_include_derived ()
void | gupnp_didl_lite_create_class_set_include_derived ()
const char * | gupnp_didl_lite_create_class_get_friendly_name ()
void | gupnp_didl_lite_create_class_set_friendly_name ()
xmlNode * | gupnp_didl_lite_create_class_get_xml_node ()

## Description

GUPnPDIDLLiteCreateClass respresents a DIDL-Lite create class element.

## Functions

### gupnp_didl_lite_create_class_get_content ()

    const char *
    gupnp_didl_lite_create_class_get_content
                                   (GUPnPDIDLLiteCreateClass *create_class);

Get the content of the `create_class` .

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |

#### Returns

The Content of the `create_class` , or `NULL`.

### gupnp_didl_lite_create_class_set_content ()

    void
    gupnp_didl_lite_create_class_set_content
                                   (GUPnPDIDLLiteCreateClass *create_class,
                                    const char *content);

Set the content of the `create_class` .

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |
content | The content |

### gupnp_didl_lite_create_class_get_include_derived ()

    gboolean
    gupnp_didl_lite_create_class_get_include_derived
                                   (GUPnPDIDLLiteCreateClass *create_class);

Checks whether `create_class` can be derived.

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |

#### Returns

TRUE if `create_class` can be derived.

### gupnp_didl_lite_create_class_set_include_derived ()

    void
    gupnp_didl_lite_create_class_set_include_derived
                                   (GUPnPDIDLLiteCreateClass *create_class,
                                    gboolean include_derived);

(Un)set the derivability of create_class.

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |
include_derived | the derivability |

### gupnp_didl_lite_create_class_get_friendly_name ()

    const char *
    gupnp_didl_lite_create_class_get_friendly_name
                                   (GUPnPDIDLLiteCreateClass *create_class);

Get the friendly name of the `create_class` .

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |

#### Returns

The FriendlyName of the `create_class` , or `NULL`.

### gupnp_didl_lite_create_class_set_friendly_name ()

    void
    gupnp_didl_lite_create_class_set_friendly_name
                                   (GUPnPDIDLLiteCreateClass *create_class,
                                    const char *friendly_name);

Set the friendly name of the `create_class` .

#### Parameters

create_class | GUPnPDIDLLiteCreateClass |
friendly_name | The friendly name |

### gupnp_didl_lite_create_class_get_xml_node ()

    xmlNode *
    gupnp_didl_lite_create_class_get_xml_node
                                   (GUPnPDIDLLiteCreateClass *create_class);

Get the pointer to relevant node in XML document.

#### Parameters

create_class | The GUPnPDIDLLiteCreateClass |

#### Returns

The pointer to relevant node in XML document.

[transfer none]

## Types and Values